org.labkey.remoteapi.query

## Enum ContainerFilter

- java.lang.Object
- - java.lang.Enum<ContainerFilter>
  - - org.labkey.remoteapi.query.ContainerFilter

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ContainerFilter>

      public enum ContainerFilter
      extends java.lang.Enum<ContainerFilter>

  Represents a container filter that can be used with the `ExecuteSqlCommand` and the `SelectRowsCommand`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AllFolders` All folders to which the user has permission
    `Current` The current container
    `CurrentAndParents` The current container and all of its parent containers
    `CurrentAndSubfolders` The current container and any folders it contains
    `CurrentPlusProject` The current container and the project folder containing it
    `CurrentPlusProjectAndShared` The current container, its project folder and all shared folders

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ContainerFilter` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ContainerFilter[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Current

          public static final ContainerFilter Current

      The current container

    - #### CurrentAndSubfolders

          public static final ContainerFilter CurrentAndSubfolders

      The current container and any folders it contains

    - #### CurrentPlusProject

          public static final ContainerFilter CurrentPlusProject

      The current container and the project folder containing it

    - #### CurrentAndParents

          public static final ContainerFilter CurrentAndParents

      The current container and all of its parent containers

    - #### CurrentPlusProjectAndShared

          public static final ContainerFilter CurrentPlusProjectAndShared

      The current container, its project folder and all shared folders

    - #### AllFolders

          public static final ContainerFilter AllFolders

      All folders to which the user has permission

  - ### Method Detail

    - #### values

          public static ContainerFilter[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContainerFilter c : ContainerFilter.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContainerFilter valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null